from osgeo import gdal
import os
## set your work directory
os.chdir('/Users/Shared/GE529-2022/data/')

## Open dataset
src_ds=gdal.Open('HDF4_EOS:EOS_GRID:"MOD15A2H.A2002225.h18v04.006.2015150063613.hdf":MOD_Grid_MOD15A2H:Fpar_500m')

## Get Raster Metadata
print(src_ds.GetMetadata())

## Get raster band
srcband=(src_ds.GetRasterBand(1))

## Get raster band information
print('////////////////////////////Raster Band Information/////////////////////////////////////////////')
print(srcband.GetStatistics(True,True))
print(srcband.GetNoDataValue())
print(srcband.GetMinimum())
print(srcband.GetMaximum())
print(srcband.GetScale())
print(srcband.GetUnitType())



print ('////////////////////////////Output from GDALINFO.EXE/////////////////////////////////////////////')
# Indirectly call the system command by python, which can be done in the terminal directly
os.system('gdalinfo MOD15A2H.A2002225.h18v04.006.2015150063613.hdf')

